Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class War

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Zip
                        |
                        +--org.apache.tools.ant.taskdefs.Jar
                              |
                              +--org.apache.tools.ant.taskdefs.War

public class War
extends Jar

Creates a WAR archive.

Author:
  Stefan Bodewig

Fields inherited from class org.apache.tools.ant.taskdefs.Zip
`archiveType, emptyBehavior`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`War()`

Method Summary
`void` | `addClasses(ZipFileSet fs)`
`void` | `addLib(ZipFileSet fs)`
`void` | `addWebinf(ZipFileSet fs)`
`protected void` | `cleanUp()` Make sure we don't think we already have a web.xml next time this task gets executed.
`protected void` | `initZipOutputStream(java.util.zip.ZipOutputStream zOut)`
`void` | `setWarfile(java.io.File warFile)`
`void` | `setWebxml(java.io.File descr)`
`protected void` | `zipFile(java.io.File file, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`

Methods inherited from class org.apache.tools.ant.taskdefs.Jar
`setJarfile, setManifest`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`addFiles, addFiles, addFileset, addParentDirs, addZipEntries, addZipfileset, execute, grabFileNames, grabFiles, grabFiles, isUpToDate, setBasedir, setCompress, setWhenempty, setZipfile, zipDir, zipFile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### War

    public War()

Method Detail

### setWarfile

    public void setWarfile(java.io.File warFile)

### setWebxml

    public void setWebxml(java.io.File descr)

### addLib

    public void addLib(ZipFileSet fs)

### addClasses

    public void addClasses(ZipFileSet fs)

### addWebinf

    public void addWebinf(ZipFileSet fs)

### initZipOutputStream

    protected void initZipOutputStream(java.util.zip.ZipOutputStream zOut)
                                throws java.io.IOException,
                                       BuildException

  Overrides:
    `initZipOutputStream` in class `Jar`

### zipFile

    protected void zipFile(java.io.File file,
                           java.util.zip.ZipOutputStream zOut,
                           java.lang.String vPath)
                    throws java.io.IOException

  Overrides:
    `zipFile` in class `Jar`

### cleanUp

    protected void cleanUp()

  Make sure we don't think we already have a web.xml next time this task gets executed.
  Overrides:
    `cleanUp` in class `Jar`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.